Debian Bug report logs - #482298
crashes when start run icedove on mipsel

version graph

Package: icedove; Maintainer for icedove is Christoph Goehre <chris@sigxcpu.org>; Source for icedove is src:icedove.

Reported by: "刘世伟" <liushiwei@gmail.com>

Date: Wed, 21 May 2008 17:15:10 UTC

Severity: grave

Merged with 539689, 561630

Found in versions icedove/2.0.0.14-1, icedove/2.0.0.19-1, icedove/2.0.0.22-0lenny1

Fixed in version 3.0.4-2

Done: Christoph Goehre <chris@sigxcpu.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Alexander Sack <asac@debian.org>:
Bug#482298; Package icedove. Full text and rfc822 format available.

Acknowledgement sent to "刘世伟" <liushiwei@gmail.com>:
New Bug report received and forwarded. Copy sent to Alexander Sack <asac@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "刘世伟" <liushiwei@gmail.com>
To: "Debian Bug Tracking System" <submit@bugs.debian.org>
Subject: crashes when start run icedove on mipsel
Date: Thu, 22 May 2008 01:10:47 +0800
Subject: crashes when start run icedove  on mipsel
Package: icedove
Version: 2.0.0.14-1
Severity: normal

*** Please type your report below this line ***

Bug#482291  crashes when start run iceweasel  on mipsel



-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: mipsel (mips64)

Kernel: Linux 2.6.25.2 (PREEMPT)
Locale: LANG=zh_CN.UTF-8, LC_CTYPE=zh_CN.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages icedove depends on:
ii  debianutils            2.28.6            Miscellaneous utilities specific t
ii  fontconfig             2.5.0-2           generic font configuration library
ii  libatk1.0-0            1.22.0-1          The ATK accessibility toolkit
ii  libc6                  2.7-11            GNU C Library: Shared libraries
ii  libcairo2              1.6.4-2           The Cairo 2D vector graphics libra
ii  libfontconfig1         2.5.0-2           generic font configuration library
ii  libfreetype6           2.3.5-1           FreeType 2 font engine, shared lib
ii  libgcc1                1:4.3.0-4         GCC support library
ii  libglib2.0-0           2.16.3-2          The GLib library of C routines
ii  libgtk2.0-0            2.12.9-4          The GTK+ graphical user interface
ii  libhunspell-1.2-0      1.2.2-2           spell checker and morphological an
ii  libjpeg62              6b-14             The Independent JPEG Group's JPEG
ii  libnspr4-0d            4.7.1-1           NetScape Portable Runtime Library
ii  libnss3-1d             3.12.0~rc3-1      Network Security Service libraries
ii  libpango1.0-0          1.20.2-2          Layout and rendering of internatio
ii  libpng12-0             1.2.27-1          PNG library - runtime
ii  libstdc++6             4.3.0-4           The GNU Standard C++ Library v3
ii  libx11-6               2:1.0.3-7         X11 client-side library
ii  libxft2                2.1.12-2          FreeType-based font drawing librar
ii  libxinerama1           2:1.0.3-2         X11 Xinerama extension library
ii  libxrender1            1:0.9.4-1         X Rendering Extension client libra
ii  libxt6                 1:1.0.5-3         X11 toolkit intrinsics library
ii  psmisc                 22.6-1            Utilities that use the proc filesy
ii  zlib1g                 1:1.2.3.3.dfsg-12 compression library - runtime

icedove recommends no packages.

-- debconf-show failed




Information forwarded to debian-bugs-dist@lists.debian.org, control@bugs.debian.org, Ubuntu Mozilla Team <ubuntu-mozillateam@lists.ubuntu.com>:
Bug#482298; Package icedove. (Fri, 27 Feb 2009 19:51:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Deng Xiyue <manphiz-guest@users.alioth.debian.org>:
Extra info received and forwarded to list. Copy sent to control@bugs.debian.org, Ubuntu Mozilla Team <ubuntu-mozillateam@lists.ubuntu.com>. (Fri, 27 Feb 2009 19:51:02 GMT) Full text and rfc822 format available.

Message #10 received at 482298@bugs.debian.org (full text, mbox):

From: Deng Xiyue <manphiz-guest@users.alioth.debian.org>
To: Debian Bug Tracking System <482298@bugs.debian.org>
Subject: Re: bug#482298: crashes when start run icedove on mipsel
Date: Sat, 28 Feb 2009 03:48:01 +0800
[Message part 1 (text/plain, inline)]
found 482298 2.0.0.19-1
severity 482298 important
thanks

Same sympton on similar platform, which are Loongson2F-based.  No luck
with -safe-mode switch.  The "bt full" generated by bug-buddy is
attached.

Though this means icedove is completely unusable on mipsel and should
warrant grave, I doubt it might be related to the customly compiled
kernel, which is required to boot Loongson2F system, hence leave the
severity non-RC.  Tell me if further information is required for
investigation.


-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (300, 'experimental')
Architecture: mipsel (mips64)

Kernel: Linux 2.6.27.1
Locale: LANG=zh_CN.UTF-8, LC_CTYPE=zh_CN.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages icedove depends on:
ii  debianutils      2.31                    Miscellaneous utilities specific t
ii  fontconfig       2.6.0-3                 generic font configuration library
ii  libatk1.0-0      1.22.0-1                The ATK accessibility toolkit
ii  libc6            2.7-18                  GNU C Library: Shared libraries
ii  libcairo2        1.8.6-2                 The Cairo 2D vector graphics libra
ii  libfontconfig1   2.6.0-3                 generic font configuration library
ii  libfreetype6     2.3.7-2                 FreeType 2 font engine, shared lib
ii  libgcc1          1:4.3.3-4               GCC support library
ii  libglib2.0-0     2.18.4-2                The GLib library of C routines
ii  libgtk2.0-0      2.12.12-1               The GTK+ graphical user interface 
ii  libhunspell-1.2- 1.2.8-2                 spell checker and morphological an
ii  libjpeg62        6b-14                   The Independent JPEG Group's JPEG 
ii  libnspr4-0d      4.7.1-4                 NetScape Portable Runtime Library
ii  libnss3-1d       3.12.2.with.ckbi.1.73-1 Network Security Service libraries
ii  libpango1.0-0    1.22.4-2                Layout and rendering of internatio
ii  libpng12-0       1.2.35-1                PNG library - runtime
ii  libstdc++6       4.3.3-4                 The GNU Standard C++ Library v3
ii  libx11-6         2:1.1.5-2               X11 client-side library
ii  libxft2          2.1.13-3                FreeType-based font drawing librar
ii  libxinerama1     2:1.0.3-2               X11 Xinerama extension library
ii  libxrender1      1:0.9.4-2               X Rendering Extension client libra
ii  libxt6           1:1.0.5-3               X11 toolkit intrinsics library
ii  psmisc           22.6-1                  Utilities that use the proc filesy
ii  zlib1g           1:1.2.3.3.dfsg-12       compression library - runtime

icedove recommends no packages.

Versions of packages icedove suggests:
ii  icedove-gnome-support         2.0.0.19-1 Support for Gnome in Icedove
pn  latex-xft-fonts               <none>     (no description available)
ii  libthai0                      0.1.9-4    Thai language support library

-- no debconf information
[icedove-bin-bugreport.txt (text/plain, attachment)]

Bug marked as found in version 2.0.0.19-1. Request was from Deng Xiyue <manphiz-guest@users.alioth.debian.org> to control@bugs.debian.org. (Fri, 27 Feb 2009 19:54:04 GMT) Full text and rfc822 format available.

Severity set to `important' from `normal' Request was from Deng Xiyue <manphiz-guest@users.alioth.debian.org> to control@bugs.debian.org. (Fri, 27 Feb 2009 19:54:05 GMT) Full text and rfc822 format available.

Forcibly Merged 482298 539689 561630. Request was from Christoph Goehre <chris@sigxcpu.org> to control@bugs.debian.org. (Mon, 12 Apr 2010 17:39:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Alexander Sack <asac@debian.org>:
Bug#482298; Package icedove. (Mon, 31 May 2010 16:33:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Goehre <chris@sigxcpu.org>:
Extra info received and forwarded to list. Copy sent to Alexander Sack <asac@debian.org>. (Mon, 31 May 2010 16:33:08 GMT) Full text and rfc822 format available.

Message #21 received at 482298@bugs.debian.org (full text, mbox):

From: Christoph Goehre <chris@sigxcpu.org>
To: Deng Xiyue <manphiz-guest@users.alioth.debian.org>, 482298@bugs.debian.org
Cc: 482298-submitter@bugs.debian.org, debian-mips@lists.debian.org
Subject: Re: Bug#482298: crashes when start run icedove on mipsel
Date: Mon, 31 May 2010 18:30:32 +0200
[Message part 1 (text/plain, inline)]
Hi,

On Sa, Feb 28, 2009 at 03:48:01 +0800, Deng Xiyue wrote:
> Same sympton on similar platform, which are Loongson2F-based.  No luck
> with -safe-mode switch.

you have report a bug[1] against Icedove 2.0.0.19. Since some time,
Icedove 3.0 is in unstable and testing.

Could you or someone from the list try to start Icedove on a mipsel
machine? I didn't have a mipsel box.

Cheers,
Christoph

[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=482298
[signature.asc (application/pgp-signature, inline)]

Message sent on to "刘世伟" <liushiwei@gmail.com>:
Bug#482298. (Mon, 31 May 2010 16:33:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Alexander Sack <asac@debian.org>:
Bug#482298; Package icedove. (Tue, 01 Jun 2010 10:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to fxzhang@ict.ac.cn:
Extra info received and forwarded to list. Copy sent to Alexander Sack <asac@debian.org>. (Tue, 01 Jun 2010 10:21:03 GMT) Full text and rfc822 format available.

Message #29 received at 482298@bugs.debian.org (full text, mbox):

From: fxzhang@ict.ac.cn
To: "Christoph Goehre" <chris@sigxcpu.org>
Cc: "Deng Xiyue" <manphiz-guest@users.alioth.debian.org>, 482298@bugs.debian.org, 482298-submitter@bugs.debian.org, debian-mips@lists.debian.org
Subject: Re: Bug#482298: crashes when start run icedove on mipsel
Date: Tue, 1 Jun 2010 18:19:57 +0800 (CST)
> Hi,
>
> On Sa, Feb 28, 2009 at 03:48:01 +0800, Deng Xiyue wrote:
>> Same sympton on similar platform, which are Loongson2F-based.  No luck
>> with -safe-mode switch.
>
> you have report a bug[1] against Icedove 2.0.0.19. Since some time,
> Icedove 3.0 is in unstable and testing.
>
> Could you or someone from the list try to start Icedove on a mipsel
> machine? I didn't have a mipsel box.
I guess you mean "start icedove 3.0", I've tried to compile and run a
icedove 3.0 on a Yeeloong laptop, which is Loongson2F-based. So far no
crashes. And icedove 2 did crash.
>
> Cheers,
> Christoph
>
> [1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=482298
>






Message sent on to "刘世伟" <liushiwei@gmail.com>:
Bug#482298. (Tue, 01 Jun 2010 10:21:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Alexander Sack <asac@debian.org>:
Bug#482298; Package icedove. (Tue, 01 Jun 2010 11:06:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Goehre <chris@sigxcpu.org>:
Extra info received and forwarded to list. Copy sent to Alexander Sack <asac@debian.org>. (Tue, 01 Jun 2010 11:06:06 GMT) Full text and rfc822 format available.

Message #37 received at 482298@bugs.debian.org (full text, mbox):

From: Christoph Goehre <chris@sigxcpu.org>
To: fxzhang@ict.ac.cn
Cc: Deng Xiyue <manphiz-guest@users.alioth.debian.org>, 482298@bugs.debian.org, 482298-submitter@bugs.debian.org, debian-mips@lists.debian.org
Subject: Re: Bug#482298: crashes when start run icedove on mipsel
Date: Tue, 01 Jun 2010 13:03:17 +0200
Hi,

On 01.06.2010 12:19, fxzhang@ict.ac.cn wrote:
>> Could you or someone from the list try to start Icedove on a mipsel
>> machine? I didn't have a mipsel box.
> I guess you mean "start icedove 3.0", I've tried to compile and run a
> icedove 3.0 on a Yeeloong laptop, which is Loongson2F-based. So far no
> crashes. And icedove 2 did crash.

but why you've compile it? There are packages in Debian unstable.

Whatever! The mean thing is, it's running.

THX for testing,
Christoph




Message sent on to "刘世伟" <liushiwei@gmail.com>:
Bug#482298. (Tue, 01 Jun 2010 11:06:08 GMT) Full text and rfc822 format available.

Reply sent to Christoph Goehre <chris@sigxcpu.org>:
You have taken responsibility. (Tue, 01 Jun 2010 16:06:03 GMT) Full text and rfc822 format available.

Notification sent to "刘世伟" <liushiwei@gmail.com>:
Bug acknowledged by developer. (Tue, 01 Jun 2010 16:06:03 GMT) Full text and rfc822 format available.

Message #45 received at 482298-done@bugs.debian.org (full text, mbox):

From: Christoph Goehre <chris@sigxcpu.org>
To: 482298-done@bugs.debian.org
Cc: Deng Xiyue <manphiz-guest@users.alioth.debian.org>, 482298-submitter@bugs.debian.org
Subject: Re: Bug#482298: crashes when start run icedove on mipsel
Date: Tue, 1 Jun 2010 18:02:06 +0200
Version: 3.0.4-2

> > Could you or someone from the list try to start Icedove on a mipsel
> > machine? I didn't have a mipsel box.
> I guess you mean "start icedove 3.0", I've tried to compile and run a
> icedove 3.0 on a Yeeloong laptop, which is Loongson2F-based. So far no
> crashes. And icedove 2 did crash.

So since icedove 3.0, it's work fine on mipsel.

Cheers,
Christoph




Reply sent to Christoph Goehre <chris@sigxcpu.org>:
You have taken responsibility. (Tue, 01 Jun 2010 16:06:04 GMT) Full text and rfc822 format available.

Notification sent to Michael Casadevall <mcasadevall@debian.org>:
Bug acknowledged by developer. (Tue, 01 Jun 2010 16:06:04 GMT) Full text and rfc822 format available.

Reply sent to Christoph Goehre <chris@sigxcpu.org>:
You have taken responsibility. (Tue, 01 Jun 2010 16:06:04 GMT) Full text and rfc822 format available.

Notification sent to Robert Millan <rmh.debian.bts@aybabtu.com>:
Bug acknowledged by developer. (Tue, 01 Jun 2010 16:06:04 GMT) Full text and rfc822 format available.

Message sent on to "刘世伟" <liushiwei@gmail.com>:
Bug#482298. (Tue, 01 Jun 2010 16:06:31 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 07 Mar 2011 08:30:09 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 15:56:59 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.